--[[

Car Super Speed Mod by ZyDevs
Version [Final] 5

--]]

-- Settings
super_speed_toggle = 105 -- NUMPAD 9
instant_stop_key = 35 -- END Key 
backwards_key = 33 -- Page Up

addSpeedForwardKey = 107 -- ADD KEY (NUMPAD)
subtractSpeedForwardKey = 109 -- SUBTRACT / MINUS KEY (NUMPAD)
addSpeedBackKey = 102 -- NUMPAD 6
subtractSpeedBackKey = 99 -- NUMPAD 3

-- Default Speeds
forwardSpeed = 10
backSpeed = 10

-- CODE


local superspeed = {}




function superspeed.tick() 
	-- INI Variables
	
	useMPH = true
	useGUI = true
	
	-- end INI
	active = true
	-- Adjust Speeds
	if get_key_pressed(addSpeedForwardKey) then
		forwardSpeed = forwardSpeed + 5
		wait(200)
		if forwardSpeed > 150 then
		forwardSpeed = 150
		wait(20)
		end
	end
	if get_key_pressed(subtractSpeedForwardKey) then
		
		forwardSpeed = forwardSpeed - 5
		wait(200)
		if forwardSpeed < 10 then
		forwardSpeed = 10
		wait(20)
		end
	end
	if get_key_pressed(addSpeedBackKey) then
		
		backSpeed = backSpeed + 5
		wait(200)
		if backSpeed > 150 then
		backSpeed = 150
		wait(20)
		end
		
	end
	if get_key_pressed(subtractSpeedBackKey) then
		
		backSpeed = backSpeed - 5
		wait(200)
		if backSpeed < 10 then
		backSpeed = 10
		wait(20)
		end
		
	end
	if get_key_pressed(super_speed_toggle) then
		local playerID = PLAYER.PLAYER_ID()
		local player = PLAYER.GET_PLAYER_PED(playerID)
	
		local currentVehicle = PED.GET_VEHICLE_PED_IS_USING(player)
		VEHICLE.SET_VEHICLE_FORWARD_SPEED(currentVehicle, forwardSpeed)
		
		
		
		if toggled then
			
		end
	end
	if get_key_pressed(instant_stop_key) then
		local playerID = PLAYER.PLAYER_ID()
		local player = PLAYER.GET_PLAYER_PED(playerID)
		local currentVehicle = PED.GET_VEHICLE_PED_IS_USING(player)
		VEHICLE.SET_VEHICLE_FORWARD_SPEED(currentVehicle, 0)
		
		
	end
	if get_key_pressed(backwards_key) then
		local playerID = PLAYER.PLAYER_ID()
		local player = PLAYER.GET_PLAYER_PED(playerID)
		local currentVehicle = PED.GET_VEHICLE_PED_IS_USING(player)
	   
		VEHICLE.SET_VEHICLE_FORWARD_SPEED(currentVehicle, -backSpeed)
		toggled = true
		
	end
	function superspeed.renderText(text,font,scale,colourR,colourG,colourB,alpha,posX,posY)
		UI.SET_TEXT_FONT(font)
		UI.SET_TEXT_SCALE(0.0, scale)
		UI.SET_TEXT_COLOUR(colourR,colourG,colourB,alpha)
		UI.SET_TEXT_CENTRE(true)
		UI.SET_TEXT_DROPSHADOW(0, 0, 0, 0, 0)
		UI.SET_TEXT_EDGE(0, 0, 0, 0, 0)
		UI._SET_TEXT_ENTRY("STRING")
		UI._ADD_TEXT_COMPONENT_STRING(text)
		UI._DRAW_TEXT(posX, posY)
    end
	if active then
		if useGUI then
		local playerID = PLAYER.PLAYER_ID()
		local player = PLAYER.GET_PLAYER_PED(playerID)
		local currentVehicle = PED.GET_VEHICLE_PED_IS_USING(player)
		local vehicleSpeed = ENTITY.GET_ENTITY_SPEED(currentVehicle)
		if not useMPH then
		superspeed.renderText("Super Speed Mod: Loaded [Forward: ".. forwardSpeed*3600 / 1000 .."km/h | Backward: ".. backSpeed*3600 / 1000 .."km/h]" , 0, 0.3, 0, 180, 136, 255, 0.5, 0.005)
		end
		if useMPH then
		superspeed.renderText("Super Speed Mod: Loaded [Forward: ".. forwardSpeed*3600 / 1000 / 1.6 .."mph | Backward: ".. backSpeed*3600 / 1000 / 1.6 .."mph]" , 0, 0.3, 0, 180, 136, 255, 0.5, 0.005)
		end
		end
	end
end


return superspeed